%define name	libpano
%define version 20040622
%define release 1mdk
%define major	0
%define libname %{name}%{major}
%define gcc_version %(gcc --version | head -n 1 | awk '{print $3}')

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Panorama Tools library
License:	GPL
Group:		System/Libraries
Source:		%{name}-%{version}.tar.bz2
URL:		http://panotools.sourceforge.net/
Requires:	%{libname} = %{version}
BuildRequires:	libgcj-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Libraries for Helmut Dersch's Panorama Tools.

%package -n %{libname}
Summary:	Panorama Tools library
Group:		System/Libraries

%description -n %{libname}
Libraries for Helmut Dersch's Panorama Tools.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel

%description -n %{libname}-devel
Developent headers for Helmut Dersch's Panorama Tools.

%prep
%setup -q -n %{name}

%build
%make CFLAGS="$RPM_OPT_FLAGS -fPIC -I%{_includedir}/libgcj-%{gcc_version} -D__Ansi__" -f makefile.linux

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -d -m 755 $RPM_BUILD_ROOT%{_includedir}/pano12
install -m 755 libpano12.so $RPM_BUILD_ROOT%{_libdir}
install -m 644 *.h $RPM_BUILD_ROOT%{_includedir}/pano12

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr (-,root,root)
%doc gpl.txt README.linux README.windows
%{_libdir}/libpano12.so

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/pano12

%changelog
* Tue Jun 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20040622-1mdk
- first mdk release
